Makefile.in 39 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073
  1. # Makefile.in generated by automake 1.11.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
  5. # Inc.
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9. # This program is distributed in the hope that it will be useful,
  10. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  11. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  12. # PARTICULAR PURPOSE.
  13. @SET_MAKE@
  14. VPATH = @srcdir@
  15. pkgdatadir = $(datadir)/@PACKAGE@
  16. pkgincludedir = $(includedir)/@PACKAGE@
  17. pkglibdir = $(libdir)/@PACKAGE@
  18. pkglibexecdir = $(libexecdir)/@PACKAGE@
  19. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  20. install_sh_DATA = $(install_sh) -c -m 644
  21. install_sh_PROGRAM = $(install_sh) -c
  22. install_sh_SCRIPT = $(install_sh) -c
  23. INSTALL_HEADER = $(INSTALL_DATA)
  24. transform = $(program_transform_name)
  25. NORMAL_INSTALL = :
  26. PRE_INSTALL = :
  27. POST_INSTALL = :
  28. NORMAL_UNINSTALL = :
  29. PRE_UNINSTALL = :
  30. POST_UNINSTALL = :
  31. build_triplet = @build@
  32. host_triplet = @host@
  33. target_triplet = @target@
  34. @ARCH_ARM_TRUE@am__append_1 = hwcap.cc
  35. @ARCH_X86_TRUE@am__append_2 = x86_sse.cc x86_avx.cc
  36. @ARCH_FUTEX_TRUE@am__append_3 = futex.cc
  37. subdir = .
  38. DIST_COMMON = ChangeLog $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  39. $(top_srcdir)/configure $(am__configure_deps) \
  40. $(srcdir)/config.h.in $(srcdir)/../mkinstalldirs \
  41. $(srcdir)/libitm.spec.in $(srcdir)/../depcomp
  42. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  43. am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
  44. $(top_srcdir)/../config/asmcfi.m4 \
  45. $(top_srcdir)/../config/depstand.m4 \
  46. $(top_srcdir)/../config/enable.m4 \
  47. $(top_srcdir)/../config/futex.m4 \
  48. $(top_srcdir)/../config/lead-dot.m4 \
  49. $(top_srcdir)/../config/mmap.m4 \
  50. $(top_srcdir)/../config/multi.m4 \
  51. $(top_srcdir)/../config/override.m4 \
  52. $(top_srcdir)/../config/stdint.m4 \
  53. $(top_srcdir)/../config/tls.m4 \
  54. $(top_srcdir)/../config/weakref.m4 \
  55. $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
  56. $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
  57. $(top_srcdir)/acinclude.m4 $(top_srcdir)/../libtool.m4 \
  58. $(top_srcdir)/configure.ac
  59. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  60. $(ACLOCAL_M4)
  61. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  62. configure.lineno config.status.lineno
  63. mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
  64. CONFIG_HEADER = config.h
  65. CONFIG_CLEAN_FILES = libitm.spec
  66. CONFIG_CLEAN_VPATH_FILES =
  67. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  68. am__vpath_adj = case $$p in \
  69. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  70. *) f=$$p;; \
  71. esac;
  72. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  73. am__install_max = 40
  74. am__nobase_strip_setup = \
  75. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  76. am__nobase_strip = \
  77. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  78. am__nobase_list = $(am__nobase_strip_setup); \
  79. for p in $$list; do echo "$$p $$p"; done | \
  80. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  81. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  82. if (++n[$$2] == $(am__install_max)) \
  83. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  84. END { for (dir in files) print dir, files[dir] }'
  85. am__base_list = \
  86. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  87. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  88. am__installdirs = "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" \
  89. "$(DESTDIR)$(toolexeclibdir)"
  90. LTLIBRARIES = $(toolexeclib_LTLIBRARIES)
  91. libitm_la_LIBADD =
  92. @ARCH_ARM_TRUE@am__objects_1 = hwcap.lo
  93. @ARCH_X86_TRUE@am__objects_2 = x86_sse.lo x86_avx.lo
  94. @ARCH_FUTEX_TRUE@am__objects_3 = futex.lo
  95. am_libitm_la_OBJECTS = aatree.lo alloc.lo alloc_c.lo alloc_cpp.lo \
  96. barrier.lo beginend.lo clone.lo eh_cpp.lo local.lo query.lo \
  97. retry.lo rwlock.lo useraction.lo util.lo sjlj.lo tls.lo \
  98. method-serial.lo method-gl.lo method-ml.lo $(am__objects_1) \
  99. $(am__objects_2) $(am__objects_3)
  100. libitm_la_OBJECTS = $(am_libitm_la_OBJECTS)
  101. DEFAULT_INCLUDES = -I.@am__isrc@
  102. depcomp = $(SHELL) $(top_srcdir)/../depcomp
  103. am__depfiles_maybe = depfiles
  104. am__mv = mv -f
  105. CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  106. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
  107. LTCPPASCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
  108. --mode=compile $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  109. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
  110. CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  111. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  112. LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
  113. --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  114. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  115. CXXLD = $(CXX)
  116. CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
  117. --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
  118. $(LDFLAGS) -o $@
  119. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  120. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  121. LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
  122. --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  123. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  124. CCLD = $(CC)
  125. LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
  126. --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
  127. $(LDFLAGS) -o $@
  128. SOURCES = $(libitm_la_SOURCES)
  129. MULTISRCTOP =
  130. MULTIBUILDTOP =
  131. MULTIDIRS =
  132. MULTISUBDIR =
  133. MULTIDO = true
  134. MULTICLEAN = true
  135. INFO_DEPS = libitm.info
  136. am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
  137. DVIS = libitm.dvi
  138. PDFS = libitm.pdf
  139. PSS = libitm.ps
  140. HTMLS = libitm.html
  141. TEXINFOS = libitm.texi
  142. TEXI2DVI = texi2dvi
  143. TEXI2PDF = $(TEXI2DVI) --pdf --batch
  144. MAKEINFOHTML = $(MAKEINFO) --html
  145. AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
  146. DVIPS = dvips
  147. RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
  148. html-recursive info-recursive install-data-recursive \
  149. install-dvi-recursive install-exec-recursive \
  150. install-html-recursive install-info-recursive \
  151. install-pdf-recursive install-ps-recursive install-recursive \
  152. installcheck-recursive installdirs-recursive pdf-recursive \
  153. ps-recursive uninstall-recursive
  154. HEADERS = $(nodist_toolexeclib_HEADERS)
  155. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  156. distclean-recursive maintainer-clean-recursive
  157. AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
  158. $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
  159. ETAGS = etags
  160. CTAGS = ctags
  161. DIST_SUBDIRS = $(SUBDIRS)
  162. ACLOCAL = @ACLOCAL@
  163. AMTAR = @AMTAR@
  164. AR = @AR@
  165. AUTOCONF = @AUTOCONF@
  166. AUTOHEADER = @AUTOHEADER@
  167. AUTOMAKE = @AUTOMAKE@
  168. AWK = @AWK@
  169. CC = @CC@
  170. CCAS = @CCAS@
  171. CCASDEPMODE = @CCASDEPMODE@
  172. CCASFLAGS = @CCASFLAGS@
  173. CCDEPMODE = @CCDEPMODE@
  174. CFLAGS = @CFLAGS@
  175. CPP = @CPP@
  176. CPPFLAGS = @CPPFLAGS@
  177. CXX = @CXX@
  178. CXXCPP = @CXXCPP@
  179. CXXDEPMODE = @CXXDEPMODE@
  180. CXXFLAGS = @CXXFLAGS@
  181. CYGPATH_W = @CYGPATH_W@
  182. DEFS = @DEFS@
  183. DEPDIR = @DEPDIR@
  184. DSYMUTIL = @DSYMUTIL@
  185. DUMPBIN = @DUMPBIN@
  186. ECHO_C = @ECHO_C@
  187. ECHO_N = @ECHO_N@
  188. ECHO_T = @ECHO_T@
  189. EGREP = @EGREP@
  190. EXEEXT = @EXEEXT@
  191. FGREP = @FGREP@
  192. GREP = @GREP@
  193. HWCAP_LDFLAGS = @HWCAP_LDFLAGS@
  194. INSTALL = @INSTALL@
  195. INSTALL_DATA = @INSTALL_DATA@
  196. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  197. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  198. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  199. LD = @LD@
  200. LDFLAGS = @LDFLAGS@
  201. LIBOBJS = @LIBOBJS@
  202. LIBS = @LIBS@
  203. LIBTOOL = @LIBTOOL@
  204. LIPO = @LIPO@
  205. LN_S = @LN_S@
  206. LTLIBOBJS = @LTLIBOBJS@
  207. MAINT = @MAINT@
  208. MAKEINFO = @MAKEINFO@
  209. MKDIR_P = @MKDIR_P@
  210. NM = @NM@
  211. NMEDIT = @NMEDIT@
  212. OBJDUMP = @OBJDUMP@
  213. OBJEXT = @OBJEXT@
  214. OPT_LDFLAGS = @OPT_LDFLAGS@
  215. OTOOL = @OTOOL@
  216. OTOOL64 = @OTOOL64@
  217. PACKAGE = @PACKAGE@
  218. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  219. PACKAGE_NAME = @PACKAGE_NAME@
  220. PACKAGE_STRING = @PACKAGE_STRING@
  221. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  222. PACKAGE_URL = @PACKAGE_URL@
  223. PACKAGE_VERSION = @PACKAGE_VERSION@
  224. PATH_SEPARATOR = @PATH_SEPARATOR@
  225. PERL = @PERL@
  226. RANLIB = @RANLIB@
  227. SECTION_LDFLAGS = @SECTION_LDFLAGS@
  228. SED = @SED@
  229. SET_MAKE = @SET_MAKE@
  230. SHELL = @SHELL@
  231. STRIP = @STRIP@
  232. VERSION = @VERSION@
  233. XCFLAGS = @XCFLAGS@
  234. XLDFLAGS = @XLDFLAGS@
  235. abs_builddir = @abs_builddir@
  236. abs_srcdir = @abs_srcdir@
  237. abs_top_builddir = @abs_top_builddir@
  238. abs_top_srcdir = @abs_top_srcdir@
  239. ac_ct_CC = @ac_ct_CC@
  240. ac_ct_CXX = @ac_ct_CXX@
  241. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  242. am__include = @am__include@
  243. am__leading_dot = @am__leading_dot@
  244. am__quote = @am__quote@
  245. am__tar = @am__tar@
  246. am__untar = @am__untar@
  247. bindir = @bindir@
  248. build = @build@
  249. build_alias = @build_alias@
  250. build_cpu = @build_cpu@
  251. build_os = @build_os@
  252. build_vendor = @build_vendor@
  253. builddir = @builddir@
  254. config_path = @config_path@
  255. datadir = @datadir@
  256. datarootdir = @datarootdir@
  257. docdir = @docdir@
  258. dvidir = @dvidir@
  259. enable_shared = @enable_shared@
  260. enable_static = @enable_static@
  261. exec_prefix = @exec_prefix@
  262. host = @host@
  263. host_alias = @host_alias@
  264. host_cpu = @host_cpu@
  265. host_os = @host_os@
  266. host_vendor = @host_vendor@
  267. htmldir = @htmldir@
  268. includedir = @includedir@
  269. infodir = @infodir@
  270. install_sh = @install_sh@
  271. libdir = @libdir@
  272. libexecdir = @libexecdir@
  273. libtool_VERSION = @libtool_VERSION@
  274. link_itm = @link_itm@
  275. localedir = @localedir@
  276. localstatedir = @localstatedir@
  277. mandir = @mandir@
  278. mkdir_p = @mkdir_p@
  279. multi_basedir = @multi_basedir@
  280. oldincludedir = @oldincludedir@
  281. pdfdir = @pdfdir@
  282. prefix = @prefix@
  283. program_transform_name = @program_transform_name@
  284. psdir = @psdir@
  285. sbindir = @sbindir@
  286. sharedstatedir = @sharedstatedir@
  287. srcdir = @srcdir@
  288. sysconfdir = @sysconfdir@
  289. target = @target@
  290. target_alias = @target_alias@
  291. target_cpu = @target_cpu@
  292. target_os = @target_os@
  293. target_vendor = @target_vendor@
  294. toolexecdir = @toolexecdir@
  295. toolexeclibdir = @toolexeclibdir@
  296. top_build_prefix = @top_build_prefix@
  297. top_builddir = @top_builddir@
  298. top_srcdir = @top_srcdir@
  299. ACLOCAL_AMFLAGS = -I .. -I ../config
  300. SUBDIRS = testsuite
  301. gcc_version := $(shell cat $(top_srcdir)/../gcc/BASE-VER)
  302. abi_version = -fabi-version=4
  303. search_path = $(addprefix $(top_srcdir)/config/, $(config_path)) $(top_srcdir)
  304. fincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/finclude
  305. libsubincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/include
  306. AM_CPPFLAGS = $(addprefix -I, $(search_path))
  307. AM_CFLAGS = $(XCFLAGS)
  308. AM_CXXFLAGS = $(XCFLAGS) -std=gnu++0x -funwind-tables -fno-exceptions \
  309. -fno-rtti $(abi_version)
  310. AM_CCASFLAGS = $(XCFLAGS)
  311. AM_LDFLAGS = $(XLDFLAGS) $(SECTION_LDFLAGS) $(OPT_LDFLAGS) $(HWCAP_LDFLAGS)
  312. toolexeclib_LTLIBRARIES = libitm.la
  313. nodist_toolexeclib_HEADERS = libitm.spec
  314. @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_script =
  315. @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script = -Wl,--version-script,$(top_srcdir)/libitm.map
  316. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script = -Wl,-M,libitm.map-sun
  317. @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_dep =
  318. @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep = $(top_srcdir)/libitm.map
  319. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep = libitm.map-sun
  320. libitm_version_info = -version-info $(libtool_VERSION)
  321. # Force link with C, not C++. For now, while we're using C++ we don't
  322. # want or need libstdc++.
  323. libitm_la_DEPENDENCIES = $(libitm_version_dep)
  324. libitm_la_LINK = $(LINK) $(libitm_la_LDFLAGS)
  325. libitm_la_LDFLAGS = $(libitm_version_info) $(libitm_version_script)
  326. libitm_la_SOURCES = aatree.cc alloc.cc alloc_c.cc alloc_cpp.cc \
  327. barrier.cc beginend.cc clone.cc eh_cpp.cc local.cc query.cc \
  328. retry.cc rwlock.cc useraction.cc util.cc sjlj.S tls.cc \
  329. method-serial.cc method-gl.cc method-ml.cc $(am__append_1) \
  330. $(am__append_2) $(am__append_3)
  331. # Automake Documentation:
  332. # If your package has Texinfo files in many directories, you can use the
  333. # variable TEXINFO_TEX to tell Automake where to find the canonical
  334. # `texinfo.tex' for your package. The value of this variable should be
  335. # the relative path from the current `Makefile.am' to `texinfo.tex'.
  336. TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
  337. # Defines info, dvi, pdf and html targets
  338. MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
  339. info_TEXINFOS = libitm.texi
  340. @GENINSRC_FALSE@STAMP_GENINSRC =
  341. # AM_CONDITIONAL on configure option --generated-files-in-srcdir
  342. @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
  343. @BUILD_INFO_FALSE@STAMP_BUILD_INFO =
  344. # AM_CONDITIONAL on configure check ACX_CHECK_PROG_VER([MAKEINFO])
  345. @BUILD_INFO_TRUE@STAMP_BUILD_INFO = stamp-build-info
  346. CLEANFILES = $(STAMP_GENINSRC) $(STAMP_BUILD_INFO) libitm.info
  347. MAINTAINERCLEANFILES = $(srcdir)/libitm.info
  348. all: config.h
  349. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  350. .SUFFIXES:
  351. .SUFFIXES: .S .cc .dvi .lo .o .obj .ps
  352. am--refresh:
  353. @:
  354. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
  355. @for dep in $?; do \
  356. case '$(am__configure_deps)' in \
  357. *$$dep*) \
  358. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  359. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  360. && exit 0; \
  361. exit 1;; \
  362. esac; \
  363. done; \
  364. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  365. $(am__cd) $(top_srcdir) && \
  366. $(AUTOMAKE) --foreign Makefile
  367. .PRECIOUS: Makefile
  368. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  369. @case '$?' in \
  370. *config.status*) \
  371. echo ' $(SHELL) ./config.status'; \
  372. $(SHELL) ./config.status;; \
  373. *) \
  374. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  375. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  376. esac;
  377. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  378. $(SHELL) ./config.status --recheck
  379. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  380. $(am__cd) $(srcdir) && $(AUTOCONF)
  381. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  382. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  383. $(am__aclocal_m4_deps):
  384. config.h: stamp-h1
  385. @if test ! -f $@; then \
  386. rm -f stamp-h1; \
  387. $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
  388. else :; fi
  389. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  390. @rm -f stamp-h1
  391. cd $(top_builddir) && $(SHELL) ./config.status config.h
  392. $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  393. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  394. rm -f stamp-h1
  395. touch $@
  396. distclean-hdr:
  397. -rm -f config.h stamp-h1
  398. libitm.spec: $(top_builddir)/config.status $(srcdir)/libitm.spec.in
  399. cd $(top_builddir) && $(SHELL) ./config.status $@
  400. install-toolexeclibLTLIBRARIES: $(toolexeclib_LTLIBRARIES)
  401. @$(NORMAL_INSTALL)
  402. test -z "$(toolexeclibdir)" || $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)"
  403. @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
  404. list2=; for p in $$list; do \
  405. if test -f $$p; then \
  406. list2="$$list2 $$p"; \
  407. else :; fi; \
  408. done; \
  409. test -z "$$list2" || { \
  410. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(toolexeclibdir)'"; \
  411. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(toolexeclibdir)"; \
  412. }
  413. uninstall-toolexeclibLTLIBRARIES:
  414. @$(NORMAL_UNINSTALL)
  415. @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
  416. for p in $$list; do \
  417. $(am__strip_dir) \
  418. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(toolexeclibdir)/$$f'"; \
  419. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(toolexeclibdir)/$$f"; \
  420. done
  421. clean-toolexeclibLTLIBRARIES:
  422. -test -z "$(toolexeclib_LTLIBRARIES)" || rm -f $(toolexeclib_LTLIBRARIES)
  423. @list='$(toolexeclib_LTLIBRARIES)'; for p in $$list; do \
  424. dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
  425. test "$$dir" != "$$p" || dir=.; \
  426. echo "rm -f \"$${dir}/so_locations\""; \
  427. rm -f "$${dir}/so_locations"; \
  428. done
  429. libitm.la: $(libitm_la_OBJECTS) $(libitm_la_DEPENDENCIES)
  430. $(libitm_la_LINK) -rpath $(toolexeclibdir) $(libitm_la_OBJECTS) $(libitm_la_LIBADD) $(LIBS)
  431. mostlyclean-compile:
  432. -rm -f *.$(OBJEXT)
  433. distclean-compile:
  434. -rm -f *.tab.c
  435. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aatree.Plo@am__quote@
  436. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc.Plo@am__quote@
  437. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_c.Plo@am__quote@
  438. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_cpp.Plo@am__quote@
  439. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/barrier.Plo@am__quote@
  440. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/beginend.Plo@am__quote@
  441. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clone.Plo@am__quote@
  442. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eh_cpp.Plo@am__quote@
  443. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/futex.Plo@am__quote@
  444. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwcap.Plo@am__quote@
  445. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/local.Plo@am__quote@
  446. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-gl.Plo@am__quote@
  447. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-ml.Plo@am__quote@
  448. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-serial.Plo@am__quote@
  449. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/query.Plo@am__quote@
  450. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/retry.Plo@am__quote@
  451. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rwlock.Plo@am__quote@
  452. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sjlj.Plo@am__quote@
  453. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tls.Plo@am__quote@
  454. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/useraction.Plo@am__quote@
  455. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@
  456. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_avx.Plo@am__quote@
  457. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_sse.Plo@am__quote@
  458. .S.o:
  459. @am__fastdepCCAS_TRUE@ $(CPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  460. @am__fastdepCCAS_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  461. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  462. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  463. @am__fastdepCCAS_FALSE@ $(CPPASCOMPILE) -c -o $@ $<
  464. .S.obj:
  465. @am__fastdepCCAS_TRUE@ $(CPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  466. @am__fastdepCCAS_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  467. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  468. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  469. @am__fastdepCCAS_FALSE@ $(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  470. .S.lo:
  471. @am__fastdepCCAS_TRUE@ $(LTCPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  472. @am__fastdepCCAS_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  473. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  474. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  475. @am__fastdepCCAS_FALSE@ $(LTCPPASCOMPILE) -c -o $@ $<
  476. .cc.o:
  477. @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  478. @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  479. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  480. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  481. @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $<
  482. .cc.obj:
  483. @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  484. @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  485. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  486. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  487. @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  488. .cc.lo:
  489. @am__fastdepCXX_TRUE@ $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  490. @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  491. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  492. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  493. @am__fastdepCXX_FALSE@ $(LTCXXCOMPILE) -c -o $@ $<
  494. mostlyclean-libtool:
  495. -rm -f *.lo
  496. clean-libtool:
  497. -rm -rf .libs _libs
  498. distclean-libtool:
  499. -rm -f libtool config.lt
  500. # GNU Make needs to see an explicit $(MAKE) variable in the command it
  501. # runs to enable its job server during parallel builds. Hence the
  502. # comments below.
  503. all-multi:
  504. $(MULTIDO) $(AM_MAKEFLAGS) DO=all multi-do # $(MAKE)
  505. install-multi:
  506. $(MULTIDO) $(AM_MAKEFLAGS) DO=install multi-do # $(MAKE)
  507. mostlyclean-multi:
  508. $(MULTICLEAN) $(AM_MAKEFLAGS) DO=mostlyclean multi-clean # $(MAKE)
  509. clean-multi:
  510. $(MULTICLEAN) $(AM_MAKEFLAGS) DO=clean multi-clean # $(MAKE)
  511. distclean-multi:
  512. $(MULTICLEAN) $(AM_MAKEFLAGS) DO=distclean multi-clean # $(MAKE)
  513. maintainer-clean-multi:
  514. $(MULTICLEAN) $(AM_MAKEFLAGS) DO=maintainer-clean multi-clean # $(MAKE)
  515. libitm.dvi: libitm.texi
  516. TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
  517. MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
  518. $(TEXI2DVI) -o $@ `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
  519. libitm.pdf: libitm.texi
  520. TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
  521. MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
  522. $(TEXI2PDF) -o $@ `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
  523. libitm.html: libitm.texi
  524. rm -rf $(@:.html=.htp)
  525. if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
  526. -o $(@:.html=.htp) `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi; \
  527. then \
  528. rm -rf $@; \
  529. if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
  530. mv $(@:.html=) $@; else mv $(@:.html=.htp) $@; fi; \
  531. else \
  532. if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
  533. rm -rf $(@:.html=); else rm -Rf $(@:.html=.htp) $@; fi; \
  534. exit 1; \
  535. fi
  536. .dvi.ps:
  537. TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
  538. $(DVIPS) -o $@ $<
  539. uninstall-dvi-am:
  540. @$(NORMAL_UNINSTALL)
  541. @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
  542. for p in $$list; do \
  543. $(am__strip_dir) \
  544. echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
  545. rm -f "$(DESTDIR)$(dvidir)/$$f"; \
  546. done
  547. uninstall-html-am:
  548. @$(NORMAL_UNINSTALL)
  549. @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
  550. for p in $$list; do \
  551. $(am__strip_dir) \
  552. echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
  553. rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
  554. done
  555. uninstall-info-am:
  556. @$(PRE_UNINSTALL)
  557. @if test -d '$(DESTDIR)$(infodir)' && \
  558. (install-info --version && \
  559. install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
  560. list='$(INFO_DEPS)'; \
  561. for file in $$list; do \
  562. relfile=`echo "$$file" | sed 's|^.*/||'`; \
  563. echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
  564. if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
  565. then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
  566. done; \
  567. else :; fi
  568. @$(NORMAL_UNINSTALL)
  569. @list='$(INFO_DEPS)'; \
  570. for file in $$list; do \
  571. relfile=`echo "$$file" | sed 's|^.*/||'`; \
  572. relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
  573. (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
  574. echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
  575. rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
  576. else :; fi); \
  577. done
  578. uninstall-pdf-am:
  579. @$(NORMAL_UNINSTALL)
  580. @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
  581. for p in $$list; do \
  582. $(am__strip_dir) \
  583. echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
  584. rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
  585. done
  586. uninstall-ps-am:
  587. @$(NORMAL_UNINSTALL)
  588. @list='$(PSS)'; test -n "$(psdir)" || list=; \
  589. for p in $$list; do \
  590. $(am__strip_dir) \
  591. echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
  592. rm -f "$(DESTDIR)$(psdir)/$$f"; \
  593. done
  594. dist-info: $(INFO_DEPS)
  595. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  596. list='$(INFO_DEPS)'; \
  597. for base in $$list; do \
  598. case $$base in \
  599. $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
  600. esac; \
  601. if test -f $$base; then d=.; else d=$(srcdir); fi; \
  602. base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
  603. for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
  604. if test -f $$file; then \
  605. relfile=`expr "$$file" : "$$d/\(.*\)"`; \
  606. test -f "$(distdir)/$$relfile" || \
  607. cp -p $$file "$(distdir)/$$relfile"; \
  608. else :; fi; \
  609. done; \
  610. done
  611. mostlyclean-aminfo:
  612. -rm -rf libitm.aux libitm.cp libitm.cps libitm.fn libitm.fns libitm.ky \
  613. libitm.kys libitm.log libitm.pg libitm.pgs libitm.tmp \
  614. libitm.toc libitm.tp libitm.tps libitm.vr libitm.vrs
  615. clean-aminfo:
  616. -test -z "libitm.dvi libitm.pdf libitm.ps libitm.html" \
  617. || rm -rf libitm.dvi libitm.pdf libitm.ps libitm.html
  618. maintainer-clean-aminfo:
  619. @list='$(INFO_DEPS)'; for i in $$list; do \
  620. i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
  621. echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
  622. rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
  623. done
  624. install-nodist_toolexeclibHEADERS: $(nodist_toolexeclib_HEADERS)
  625. @$(NORMAL_INSTALL)
  626. test -z "$(toolexeclibdir)" || $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)"
  627. @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
  628. for p in $$list; do \
  629. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  630. echo "$$d$$p"; \
  631. done | $(am__base_list) | \
  632. while read files; do \
  633. echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(toolexeclibdir)'"; \
  634. $(INSTALL_HEADER) $$files "$(DESTDIR)$(toolexeclibdir)" || exit $$?; \
  635. done
  636. uninstall-nodist_toolexeclibHEADERS:
  637. @$(NORMAL_UNINSTALL)
  638. @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
  639. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  640. test -n "$$files" || exit 0; \
  641. echo " ( cd '$(DESTDIR)$(toolexeclibdir)' && rm -f" $$files ")"; \
  642. cd "$(DESTDIR)$(toolexeclibdir)" && rm -f $$files
  643. # This directory's subdirectories are mostly independent; you can cd
  644. # into them and run `make' without going through this Makefile.
  645. # To change the values of `make' variables: instead of editing Makefiles,
  646. # (1) if the variable is set in `config.status', edit `config.status'
  647. # (which will cause the Makefiles to be regenerated when you run `make');
  648. # (2) otherwise, pass the desired values on the `make' command line.
  649. $(RECURSIVE_TARGETS):
  650. @fail= failcom='exit 1'; \
  651. for f in x $$MAKEFLAGS; do \
  652. case $$f in \
  653. *=* | --[!k]*);; \
  654. *k*) failcom='fail=yes';; \
  655. esac; \
  656. done; \
  657. dot_seen=no; \
  658. target=`echo $@ | sed s/-recursive//`; \
  659. list='$(SUBDIRS)'; for subdir in $$list; do \
  660. echo "Making $$target in $$subdir"; \
  661. if test "$$subdir" = "."; then \
  662. dot_seen=yes; \
  663. local_target="$$target-am"; \
  664. else \
  665. local_target="$$target"; \
  666. fi; \
  667. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  668. || eval $$failcom; \
  669. done; \
  670. if test "$$dot_seen" = "no"; then \
  671. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  672. fi; test -z "$$fail"
  673. $(RECURSIVE_CLEAN_TARGETS):
  674. @fail= failcom='exit 1'; \
  675. for f in x $$MAKEFLAGS; do \
  676. case $$f in \
  677. *=* | --[!k]*);; \
  678. *k*) failcom='fail=yes';; \
  679. esac; \
  680. done; \
  681. dot_seen=no; \
  682. case "$@" in \
  683. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  684. *) list='$(SUBDIRS)' ;; \
  685. esac; \
  686. rev=''; for subdir in $$list; do \
  687. if test "$$subdir" = "."; then :; else \
  688. rev="$$subdir $$rev"; \
  689. fi; \
  690. done; \
  691. rev="$$rev ."; \
  692. target=`echo $@ | sed s/-recursive//`; \
  693. for subdir in $$rev; do \
  694. echo "Making $$target in $$subdir"; \
  695. if test "$$subdir" = "."; then \
  696. local_target="$$target-am"; \
  697. else \
  698. local_target="$$target"; \
  699. fi; \
  700. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  701. || eval $$failcom; \
  702. done && test -z "$$fail"
  703. tags-recursive:
  704. list='$(SUBDIRS)'; for subdir in $$list; do \
  705. test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  706. done
  707. ctags-recursive:
  708. list='$(SUBDIRS)'; for subdir in $$list; do \
  709. test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  710. done
  711. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  712. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  713. unique=`for i in $$list; do \
  714. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  715. done | \
  716. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  717. END { if (nonempty) { for (i in files) print i; }; }'`; \
  718. mkid -fID $$unique
  719. tags: TAGS
  720. TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  721. $(TAGS_FILES) $(LISP)
  722. set x; \
  723. here=`pwd`; \
  724. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  725. include_option=--etags-include; \
  726. empty_fix=.; \
  727. else \
  728. include_option=--include; \
  729. empty_fix=; \
  730. fi; \
  731. list='$(SUBDIRS)'; for subdir in $$list; do \
  732. if test "$$subdir" = .; then :; else \
  733. test ! -f $$subdir/TAGS || \
  734. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  735. fi; \
  736. done; \
  737. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  738. unique=`for i in $$list; do \
  739. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  740. done | \
  741. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  742. END { if (nonempty) { for (i in files) print i; }; }'`; \
  743. shift; \
  744. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  745. test -n "$$unique" || unique=$$empty_fix; \
  746. if test $$# -gt 0; then \
  747. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  748. "$$@" $$unique; \
  749. else \
  750. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  751. $$unique; \
  752. fi; \
  753. fi
  754. ctags: CTAGS
  755. CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  756. $(TAGS_FILES) $(LISP)
  757. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  758. unique=`for i in $$list; do \
  759. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  760. done | \
  761. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  762. END { if (nonempty) { for (i in files) print i; }; }'`; \
  763. test -z "$(CTAGS_ARGS)$$unique" \
  764. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  765. $$unique
  766. GTAGS:
  767. here=`$(am__cd) $(top_builddir) && pwd` \
  768. && $(am__cd) $(top_srcdir) \
  769. && gtags -i $(GTAGS_ARGS) "$$here"
  770. distclean-tags:
  771. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  772. check-am: all-am
  773. check: check-recursive
  774. all-am: Makefile $(INFO_DEPS) $(LTLIBRARIES) all-multi $(HEADERS) \
  775. config.h all-local
  776. installdirs: installdirs-recursive
  777. installdirs-am:
  778. for dir in "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(toolexeclibdir)"; do \
  779. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  780. done
  781. install: install-recursive
  782. install-exec: install-exec-recursive
  783. install-data: install-data-recursive
  784. uninstall: uninstall-recursive
  785. install-am: all-am
  786. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  787. installcheck: installcheck-recursive
  788. install-strip:
  789. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  790. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  791. `test -z '$(STRIP)' || \
  792. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  793. mostlyclean-generic:
  794. clean-generic:
  795. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  796. distclean-generic:
  797. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  798. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  799. maintainer-clean-generic:
  800. @echo "This command is intended for maintainers to use"
  801. @echo "it deletes files that may require special tools to rebuild."
  802. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  803. clean: clean-multi clean-recursive
  804. clean-am: clean-aminfo clean-generic clean-libtool \
  805. clean-toolexeclibLTLIBRARIES mostlyclean-am
  806. distclean: distclean-multi distclean-recursive
  807. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  808. -rm -rf ./$(DEPDIR)
  809. -rm -f Makefile
  810. distclean-am: clean-am distclean-compile distclean-generic \
  811. distclean-hdr distclean-libtool distclean-tags
  812. dvi: dvi-recursive
  813. dvi-am: $(DVIS)
  814. html: html-recursive
  815. html-am: $(HTMLS)
  816. info: info-recursive
  817. info-am: $(INFO_DEPS)
  818. install-data-am: install-info-am
  819. install-dvi: install-dvi-recursive
  820. install-dvi-am: $(DVIS)
  821. @$(NORMAL_INSTALL)
  822. test -z "$(dvidir)" || $(MKDIR_P) "$(DESTDIR)$(dvidir)"
  823. @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
  824. for p in $$list; do \
  825. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  826. echo "$$d$$p"; \
  827. done | $(am__base_list) | \
  828. while read files; do \
  829. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
  830. $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
  831. done
  832. install-exec-am: install-multi install-nodist_toolexeclibHEADERS \
  833. install-toolexeclibLTLIBRARIES
  834. install-html: install-html-recursive
  835. install-html-am: $(HTMLS)
  836. @$(NORMAL_INSTALL)
  837. test -z "$(htmldir)" || $(MKDIR_P) "$(DESTDIR)$(htmldir)"
  838. @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
  839. for p in $$list; do \
  840. if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
  841. $(am__strip_dir) \
  842. if test -d "$$d$$p"; then \
  843. echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
  844. $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
  845. echo " $(INSTALL_DATA) '$$d$$p'/* '$(DESTDIR)$(htmldir)/$$f'"; \
  846. $(INSTALL_DATA) "$$d$$p"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
  847. else \
  848. list2="$$list2 $$d$$p"; \
  849. fi; \
  850. done; \
  851. test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
  852. while read files; do \
  853. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
  854. $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
  855. done; }
  856. install-info: install-info-recursive
  857. install-info-am: $(INFO_DEPS)
  858. @$(NORMAL_INSTALL)
  859. test -z "$(infodir)" || $(MKDIR_P) "$(DESTDIR)$(infodir)"
  860. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  861. list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
  862. for file in $$list; do \
  863. case $$file in \
  864. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  865. esac; \
  866. if test -f $$file; then d=.; else d=$(srcdir); fi; \
  867. file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
  868. for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
  869. $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
  870. if test -f $$ifile; then \
  871. echo "$$ifile"; \
  872. else : ; fi; \
  873. done; \
  874. done | $(am__base_list) | \
  875. while read files; do \
  876. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
  877. $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
  878. @$(POST_INSTALL)
  879. @if (install-info --version && \
  880. install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
  881. list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
  882. for file in $$list; do \
  883. relfile=`echo "$$file" | sed 's|^.*/||'`; \
  884. echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
  885. install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
  886. done; \
  887. else : ; fi
  888. install-man:
  889. install-pdf: install-pdf-recursive
  890. install-pdf-am: $(PDFS)
  891. @$(NORMAL_INSTALL)
  892. test -z "$(pdfdir)" || $(MKDIR_P) "$(DESTDIR)$(pdfdir)"
  893. @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
  894. for p in $$list; do \
  895. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  896. echo "$$d$$p"; \
  897. done | $(am__base_list) | \
  898. while read files; do \
  899. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
  900. $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
  901. install-ps: install-ps-recursive
  902. install-ps-am: $(PSS)
  903. @$(NORMAL_INSTALL)
  904. test -z "$(psdir)" || $(MKDIR_P) "$(DESTDIR)$(psdir)"
  905. @list='$(PSS)'; test -n "$(psdir)" || list=; \
  906. for p in $$list; do \
  907. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  908. echo "$$d$$p"; \
  909. done | $(am__base_list) | \
  910. while read files; do \
  911. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
  912. $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
  913. installcheck-am:
  914. maintainer-clean: maintainer-clean-multi maintainer-clean-recursive
  915. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  916. -rm -rf $(top_srcdir)/autom4te.cache
  917. -rm -rf ./$(DEPDIR)
  918. -rm -f Makefile
  919. maintainer-clean-am: distclean-am maintainer-clean-aminfo \
  920. maintainer-clean-generic
  921. mostlyclean: mostlyclean-multi mostlyclean-recursive
  922. mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
  923. mostlyclean-generic mostlyclean-libtool
  924. pdf: pdf-recursive
  925. pdf-am: $(PDFS)
  926. ps: ps-recursive
  927. ps-am: $(PSS)
  928. uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
  929. uninstall-nodist_toolexeclibHEADERS uninstall-pdf-am \
  930. uninstall-ps-am uninstall-toolexeclibLTLIBRARIES
  931. .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all all-multi \
  932. clean-multi ctags-recursive distclean-multi install-am \
  933. install-multi install-strip maintainer-clean-multi \
  934. mostlyclean-multi tags-recursive
  935. .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
  936. all all-am all-local all-multi am--refresh check check-am \
  937. clean clean-aminfo clean-generic clean-libtool clean-multi \
  938. clean-toolexeclibLTLIBRARIES ctags ctags-recursive dist-info \
  939. distclean distclean-compile distclean-generic distclean-hdr \
  940. distclean-libtool distclean-multi distclean-tags dvi dvi-am \
  941. html html-am info info-am install install-am install-data \
  942. install-data-am install-dvi install-dvi-am install-exec \
  943. install-exec-am install-html install-html-am install-info \
  944. install-info-am install-man install-multi \
  945. install-nodist_toolexeclibHEADERS install-pdf install-pdf-am \
  946. install-ps install-ps-am install-strip \
  947. install-toolexeclibLTLIBRARIES installcheck installcheck-am \
  948. installdirs installdirs-am maintainer-clean \
  949. maintainer-clean-aminfo maintainer-clean-generic \
  950. maintainer-clean-multi mostlyclean mostlyclean-aminfo \
  951. mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
  952. mostlyclean-multi pdf pdf-am ps ps-am tags tags-recursive \
  953. uninstall uninstall-am uninstall-dvi-am uninstall-html-am \
  954. uninstall-info-am uninstall-nodist_toolexeclibHEADERS \
  955. uninstall-pdf-am uninstall-ps-am \
  956. uninstall-toolexeclibLTLIBRARIES
  957. vpath % $(strip $(search_path))
  958. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm.map-sun : $(top_srcdir)/libitm.map \
  959. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(top_srcdir)/../contrib/make_sunver.pl \
  960. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(libitm_la_OBJECTS) $(libitm_la_LIBADD)
  961. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ perl $(top_srcdir)/../contrib/make_sunver.pl \
  962. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(top_srcdir)/libitm.map \
  963. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(libitm_la_OBJECTS:%.lo=.libs/%.o) \
  964. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ `echo $(libitm_la_LIBADD) | \
  965. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ sed 's,/\([^/.]*\)\.la,/.libs/\1.a,g'` \
  966. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ > $@ || (rm -f $@ ; exit 1)
  967. # Make sure -msse is appended at the end.
  968. @ARCH_X86_TRUE@x86_sse.lo : override CXXFLAGS += -msse
  969. # Make sure -mavx is appended at the end.
  970. @ARCH_X86_AVX_TRUE@x86_avx.lo : override CXXFLAGS += -mavx
  971. all-local: $(STAMP_GENINSRC)
  972. stamp-geninsrc: libitm.info
  973. cp -p $(top_builddir)/libitm.info $(srcdir)/libitm.info
  974. @touch $@
  975. libitm.info: $(STAMP_BUILD_INFO)
  976. stamp-build-info: libitm.texi
  977. $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) -o libitm.info $(srcdir)/libitm.texi
  978. @touch $@
  979. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  980. # Otherwise a system limit (for SysV at least) may be exceeded.
  981. .NOEXPORT: